#ifndef _CONFIGTOOL_HPP_
#define _CONFIGTOOL_HPP_

#include "library/externs.hpp"

#include "library/GUI/GUIHolder.h"
#include "library/GUI/GUIFont.h"
#include "library/GUI/GUIHolder.h"
#include "library/GUI/GUIButton.h"
#include "library/GUI/GUIToggleButton.h"
#include "library/GUI/GUISlider.h"
#include "library/GUI/GUITextField.h"
#include <string>

//std::string getNamebyID(int n);
//int getIDbyName(std::string name);

class ConfigTool
{
public:
	ConfigTool(); 
	~ConfigTool();

	GUIHolder *holder;	// gui widget holder
	float arvo;

	bool initialized;
	void init();
	void deinit();

	void render();
	void update(MSG msg);	
};

#endif